Package org.apache.sysds.runtime.matrix.data

# Class LibMatrixDNNRelu.ReluBackward

java.lang.Object
org.apache.sysds.runtime.matrix.data.LibMatrixDNNRelu.ReluBackward

All Implemented Interfaces:
  `Callable<Long>`

Enclosing class:
  LibMatrixDNNRelu

public static class LibMatrixDNNRelu.ReluBackward extends Object implements Callable<Long>
Performs the operation: (X gt 0) * dout

## Field Summary

Fields
Modifier and Type
Field
Description
`final int`
`_rl`
`final int`
`_ru`

## Constructor Summary

Constructors
Constructor
Description
`ReluBackward(int rl, int ru, DnnParameters params)`

## Method Summary

Modifier and Type
Method
Description
`Long`
`call()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### _rl

public final int _rl

### _ru

public final int _ru

## Constructor Details

### ReluBackward

public ReluBackward(int rl, int ru, DnnParameters params)

## Method Details

### call

public Long call() throws Exception

Specified by:
  `call` in interface `Callable<Long>`
Throws:
  `Exception`